/**
 * Datenpunkt, bestehend aus einer Zeit in ms und einem Spannungswert in mV
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Datenpunkt
{
    private int zeitpunkt;
    private int spannung;

    /**
     * Konstruktor für Objekte der Klasse Datenpunkt
     */
    public Datenpunkt(int zeitpunktNeu, int spannungNeu)
    {
        zeitpunkt = zeitpunktNeu;
        spannung = spannungNeu;
    }
    
    /**
     * Gibt den Zeitpunkt zurück
     * @return Aufnahmezeit des Datenpunktes
     */
    public int ZeitpunktGeben()
    {
        return zeitpunkt;
    }

    /**
     * Gibt die Spannung zurück
     * @return Spannungswert des Datenpunktes
     */
    public int SpannungGeben()
    {
        return spannung;
    }
    
}
